Package com.pixelmed.displaywave

## Class RawSourceECG

- java.lang.Object
- - com.pixelmed.displaywave.SourceECG
  - - com.pixelmed.displaywave.RawSourceECG

-     public class RawSourceECG
      extends SourceECG

  A class that encapsulates the features and values from a raw ECG source, usually for the purpose of displaying it.

- - ### Field Summary

    - ### Fields inherited from class com.pixelmed.displaywave.SourceECG

      `amplitudeScalingFactorInMilliVolts, channelNames, displaySequence, nSamplesPerChannel, numberOfChannels, samples, samplingIntervalInMilliSeconds, title`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RawSourceECG​(BinaryInputStream i, int numberOfChannels, int nSamplesPerChannel, float samplingIntervalInMilliSeconds, float amplitudeScalingFactorInMilliVolts, boolean interleaved)` | Construct ECG from a raw data an input stream (such as from a file or the network).

  - ### Method Summary

    - ### Methods inherited from class com.pixelmed.displaywave.SourceECG

      `buildInstanceTitle, buildPreferredDisplaySequence, buildPreferredDisplaySequence, findLead, getAmplitudeScalingFactorInMilliVolts, getChannelNames, getDisplaySequence, getNumberOfChannels, getNumberOfSamplesPerChannel, getSamples, getSamplingIntervalInMilliSeconds, getTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RawSourceECG

          public RawSourceECG​(BinaryInputStream i,
                              int numberOfChannels,
                              int nSamplesPerChannel,
                              float samplingIntervalInMilliSeconds,
                              float amplitudeScalingFactorInMilliVolts,
                              boolean interleaved)
                       throws java.io.IOException

      Construct ECG from a raw data an input stream (such as from a file or the network).

      Parameters:
        `i` - the input stream
        `numberOfChannels` - the number of channels (leads)
        `nSamplesPerChannel` - the number of samples per channel (same for all channels)
        `samplingIntervalInMilliSeconds` - the sampling interval (duration of each sample) in milliseconds
        `amplitudeScalingFactorInMilliVolts` - how many millivolts per unit of sample data (may be different for each channel)
        `interleaved` - true if the channels are interleaved, false if successive
      Throws:
        `java.io.IOException`